#
#  Be sure to run `pod spec lint Helpers.podspec' to ensure this is a
#  valid spec and to remove all comments including this before submitting the spec.
#
#  To learn more about Podspec attributes see http://docs.cocoapods.org/specification.html
#  To see working Podspecs in the CocoaPods repo see https://github.com/CocoaPods/Specs/
#

Pod::Spec.new do |s|

  # ―――  Spec Metadata  ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #
  #
  #  These will help people to find your library, and whilst it
  #  can feel like a chore to fill in it's definitely to your advantage. The
  #  summary should be tweet-length, and the description more in depth.
  #

  s.name         = "GSAuth2"
  s.version      = "1.0.0"
  s.summary      = "GSAuth2"

  # This description is used to generate tags and improve search results.
  #   * Think: What does it do? Why did you write it? What is the focus?
  #   * Try to keep it short, snappy and to the point.
  #   * Write the description between the DESC delimiters below.
  #   * Finally, don't worry about the indent, CocoaPods strips it!
  s.description  = <<-DESC
                   GSAuth2.framework
                   DESC

  s.homepage     = "https://gitlab.iksatprof.ru/iOS/GSAuth2"
  # s.screenshots  = "www.example.com/screenshots_1.gif", "www.example.com/screenshots_2.gif"


  # ―――  Spec License  ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #
  #
  #  Licensing your code is important. See http://choosealicense.com for more info.
  #  CocoaPods will detect a license file if there is a named LICENSE*
  #  Popular ones are 'MIT', 'BSD' and 'Apache License, Version 2.0'.
  #

  # s.license      = "MIT"
  # s.license      = { :type => "MIT", :file => "LICENSE.txt" }


  # ――― Author Metadata  ――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #
  #
  #  Specify the authors of the library, with email addresses. Email addresses
  #  of the authors are extracted from the SCM log. E.g. $ git log. CocoaPods also
  #  accepts just a name if you'd rather not provide an email address.
  #
  #  Specify a social_media_url where others can refer to, for example a twitter
  #  profile URL.
  #

  s.author             = { "Dan Kalinin" => "daniil5511@gmail.com" }
  # Or just: s.author    = "Dan Kalinin"
  # s.authors            = { "Dan Kalinin" => "daniil5511@gmail.com" }
  # s.social_media_url   = "http://twitter.com/Dan Kalinin"

  # ――― Platform Specifics ――――――――――――――――――――――――――――――――――――――――――――――――――――――― #
  #
  #  If this Pod runs only on iOS or OS X, then specify the platform and
  #  the deployment target. You can optionally include the target after the platform.
  #

  # s.platform     = :ios
  s.platform     = :ios, "10.3"

  #  When using multiple platforms
  # s.ios.deployment_target = "5.0"
  # s.osx.deployment_target = "10.7"
  # s.watchos.deployment_target = "2.0"
  # s.tvos.deployment_target = "9.0"


  # ――― Source Location ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #
  #
  #  Specify the location from where the source should be retrieved.
  #  Supports git, hg, bzr, svn and HTTP.
  #

  # s.source       = { :git => "http://EXAMPLE/Helpers.git", :tag => "#{s.version}" }
  s.source       = { :git => "https://gitlab.iksatprof.ru/iOS/GSAuth2.git", :tag => "#{s.version}" }


  # ――― Source Code ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #
  #
  #  CocoaPods is smart about how it includes source code. For source files
  #  giving a folder will include any swift, h, m, mm, c & cpp files.
  #  For header files it will include any header in the folder.
  #  Not including the public_header_files will make all headers public.
  #

  s.source_files  = "**/*.{c,m}", "*.h", "gs-auth-2/*.h"
  
  # s.public_header_files = "Classes/**/*.h"


  # ――― Resources ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #
  #
  #  A list of resources included with the Pod. These are copied into the
  #  target bundle with a build phase script. Anything else will be cleaned.
  #  You can preserve files from being cleaned, please don't preserve
  #  non-essential files like tests, examples and documentation.
  #

  # s.resource  = "icon.png"
  s.resources = "**/*.{json,plist,strings,pbedb,jpg,sqlite3}"

  # s.preserve_paths = "FilesToSave", "MoreFilesToSave"
  s.preserve_paths = "**/*.h"


  # ――― Project Linking ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #
  #
  #  Link your library with frameworks, or libraries. Libraries do not include
  #  the lib prefix of their name.
  #

  # s.framework  = "SomeFramework"
  # s.frameworks = "SomeFramework", "AnotherFramework"

  # s.library   = "iconv"
  # s.libraries = "iconv", "xml2"
  s.libraries = "resolv", "z"

  s.vendored_libraries = "**/*.a"

  s.static_framework = true


  # ――― Project Settings ――――――――――――――――――――――――――――――――――――――――――――――――――――――――― #
  #
  #  If your library depends on compiler flags you can set them in the xcconfig hash
  #  where they will only apply to your library. If you depend on other Podspecs
  #  you can include multiple dependencies to ensure it works.

  # s.requires_arc = true
  
  # s.xcconfig = { "HEADER_SEARCH_PATHS" => "$(SDKROOT)/usr/include/libxml2" }
  s.pod_target_xcconfig = { "HEADER_SEARCH_PATHS" => "$(PODS_TARGET_SRCROOT)/.. $(PODS_TARGET_SRCROOT)/../GLibExt $(PODS_TARGET_SRCROOT)/../GLibExt/gettext/include $(PODS_TARGET_SRCROOT)/../GLibExt/glib/include/glib-2.0 $(PODS_TARGET_SRCROOT)/../GLibExt/glib/lib/glib-2.0/include $(PODS_TARGET_SRCROOT)/../GLibExt/libffi/include $(PODS_TARGET_SRCROOT)/../GLibExt/libiconv/include $(PODS_TARGET_SRCROOT)/../GLibExt/pcre/include $(PODS_TARGET_SRCROOT)/../SQLiteExt $(PODS_TARGET_SRCROOT)/../SQLiteExt/sqlite3/include $(PODS_TARGET_SRCROOT)/../SoupExt $(PODS_TARGET_SRCROOT)/../SoupExt/libsoup/include/libsoup-2.4 $(PODS_TARGET_SRCROOT)/../JsonExt $(PODS_TARGET_SRCROOT)/../JsonExt/json-glib/include/json-glib-1.0 $(PODS_TARGET_SRCROOT)/../JWTExt $(PODS_TARGET_SRCROOT)/../GnuTLSExt $(PODS_TARGET_SRCROOT)/../GnuTLSExt/gnutls/include $(PODS_TARGET_SRCROOT)/../GnuTLSExt/libunistring/include $(PODS_TARGET_SRCROOT)/../GnuTLSExt/nettle/include $(PODS_TARGET_SRCROOT)/../GLibNetworkingExt $(PODS_TARGET_SRCROOT)", "ENABLE_BITCODE" => false, "CLANG_WARN_DOCUMENTATION_COMMENTS" => false, "DEFINES_MODULE" => false, "OTHER_CFLAGS" => "-DSQLITE_CORE -DSQLITE_ENABLE_PREUPDATE_HOOK" }
  s.user_target_xcconfig = { "HEADER_SEARCH_PATHS" => "$(PODS_ROOT)/GSAuth2 ${PODS_ROOT}/../../../Frameworks/GSAuth2" }
  # s.dependency "JSONKit", "~> 1.4"
  s.dependency "GLibExt"
  s.dependency "SQLiteExt"
  s.dependency "SoupExt"
  s.dependency "JsonExt"
  s.dependency "JWTExt"
  s.dependency "GnuTLSExt"
  s.dependency "GLibNetworkingExt"
  
end
